Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class Ocean

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.GisFeature
          com.gisgraphy.domain.geoloc.entity.Ocean

    public class Ocean

extends GisFeature

Represents a `Ocean`.

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`countryDao, LOCATION_COLUMN_NAME, logger`

Constructor Summary
`Ocean()` Needed by CGLib
`Ocean(GisFeature gisFeature)` Constructor that populate the `Ocean` with the gisFeature fields

Method Summary
`boolean` | `isFullTextSearchable()` Override the gisFeature value.

Methods inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`addAlternateName, addAlternateNames, distance, equals, getAdm, getAdm1Code, getAdm1Name, getAdm2Code, getAdm2Name, getAdm3Code, getAdm3Name, getAdm4Code, getAdm4Name, getAlternateNames, getAsciiName, getCountry, getCountryCode, getElevation, getFeatureClass, getFeatureCode, getFeatureId, getFullyQualifiedName, getGtopo30, getId, getLatitude, getLocation, getLongitude, getModificationDate, getName, getPopulation, getSource, getTimezone, hashCode, isAdm, isCity, isCountry, populate, setAdm, setAdm1Code, setAdm1Name, setAdm2Code, setAdm2Name, setAdm3Code, setAdm3Name, setAdm4Code, setAdm4Name, setAlternateNames, setAsciiName, setCountryCode, setElevation, setFeatureClass, setFeatureCode, setFeatureId, setGtopo30, setId, setLocation, setModificationDate, setName, setPopulation, setSource, setTimezone, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ocean

    public Ocean(GisFeature gisFeature)

  Constructor that populate the `Ocean` with the gisFeature fields

  Parameters:
    `gisFeature` - The gisFeature from which we want to populate the `Ocean`

### Ocean

    public Ocean()

  Needed by CGLib

Method Detail

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Override the gisFeature value.
  Default to true;
  If this field is set to false, then the object won't be synchronized with the fullText search engine

  Overrides:
    `isFullTextSearchable` in class `GisFeature`
  Returns:
    true If the gisFeature must be sync with the fullText search engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.